import Vue from 'vue'
import moment from 'moment'
import 'moment/locale/zh-cn'
moment.locale('zh-cn')

Vue.filter('NumberFormat', function (value) {
  if (!value) {
    return '0'
  }
  const intPartFormat = value.toString().replace(/(\d)(?=(?:\d{3})+$)/g, '$1,') // 将整数部分逢三一断
  return intPartFormat
})

Vue.filter('BooleanFormat', function (value) {
  if (value === undefined) {
    return ''
  }
  if (value === true || value === 'true') {
    return '是'
  }
  if (value === false || value === 'false') {
    return '否'
  }
  return ''
})

Vue.filter('dayjs', function (dataStr, pattern = 'YYYY-MM-DD HH:mm:ss') {
  return moment(dataStr).format(pattern)
})

Vue.filter('moment', function (dataStr, pattern = 'YYYY-MM-DD HH:mm:ss') {
  return moment(dataStr).format(pattern)
})
Vue.filter('toStatusLabel', function (resultStatus, enumR = { S: '成功', F: '失败' }) {
  return enumR[resultStatus]
})
